Introduction

Community's Async REST API provides programmatic access to various functionality in the Community platform.

A Note about Async APIs

It is important to note that the Community REST API is an async API, and as such a 2XX response code corresponds to acceptance of a given action, which will not always result in an eventual success inside the Community system.

For instance, a request for sending a direct message may be sent to the Community platform, as follows:

POST /message_send

{
  "phone_number": "16125555555",
  "text": "This is a message to an unsubscribed member"
}

In this example, the /message_send endpoint would return a HTTP response code of 202 Accepted. However, because the member had previously unsubscribed, they will not receive a message as a result of this webhook request.

Sample Code

It is often easiest to reason about an API by looking at an existing implementation. We provide a complete code example (Authentication, Member Creation and Custom Field Updating, and Direct Messaging) in Python on the Sample Code page.